# Discord Set-up

1. [**Invite Saturn**](https://discord.com/api/oauth2/authorize?client_id=1080215198608134235\&permissions=268479488\&scope=bot%20applications.commands) to your server from -> <https://discord.projectx.mx/>
2. Make sure Saturn is <mark style="color:blue;">**above**</mark> all roles it manages & can view the channels
3. Set it up using the bot commands

> Please make sure your server has a **Community Updates** channel set up & open for Saturn (view/write) to receive the latest updates and notifications.

#### Set-up

`/collection add` - Add a collection to be tracked. Up to an infinite number of collections.

`/collection list` - Show a list of all tracked collection in your server.

`/collection delete` - Delete a tracked collection from your server.

**Verification**

`/verify channel` - Set the verification channel.

`/rule add_collection` - Add a rule for a tracked collection based on a threshold.\
The threshold = the amount of NFTs needed to obtain that role.

`/rule add_attribute` - Add a rule for a tracked collection based on NFT attributes.\
This command is **case sensitive**. You can take the correct traits/attributes from [multiversx.explorer ](https://explorer.multiversx.com/)/ marketplaces.

`/rule list` - List all verification rules.

`/rule delete` - Delete a verification rule from the list.

#### Verification for staking Smart contracts

`/source add xoxno [pool] [ticker]` - Define the collection's <mark style="color:red;">staking</mark> pool from [XOXNO](https://xoxno.com/)\
Pool - staking pool number\
Ticker - collection ticker

`/source add custom [SCaddress] [ticker]` - Define the collection's <mark style="color:red;">staking</mark> smart contract\
SCaddress - staking smart contract address\
Ticker - collection ticker\
\&#xNAN;*<mark style="color:blue;">The SC should let Saturn look into it. Open a support ticket if you need help with that!</mark>*

`/source list` - List all the active SC sources.

`/source delete` - Delete an active SC source.

#### Wallet collection (for whitelist / airdrops / etc)

`/wl start` - Start a whitelist submission. (ERD address is required)\
The message title and the message body can be customized in the optional arguments.

`/wl stop` - Stop a whitelist submission.\
When stopped, the bot will delete its message and sends a file with all the collected addresses to the user via DM.

**Sale Tracker**

`/sales add` - Add a collection to track sales on all marketplaces.

`/sale list` - List all active sale trackers.

`/sale delete` - Delete an active sale tracker.

#### Listing Tracker

`/listing add` - Add a collection to track listings on all marketplaces.

`/listing list` - List all active listing trackers.

`/listing delete` - Delete an active listing tracker.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.projectx.mx/products/saturn/discord-set-up.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
